using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GarmentFactoryContracts.BindingModels;
using GarmentFactoryContracts.SearchModels;
using GarmentFactoryContracts.ViewModels;

namespace GarmentFactoryContracts.BusinessLogicsContracts
{
    public interface ITextileLogic
    {
        List<TextileViewModel>? ReadList(TextileSearchModel? model);
        TextileViewModel? ReadElement(TextileSearchModel model);
        bool Create(TextileBindingModel model);
        bool Update(TextileBindingModel model);
        bool Delete(TextileBindingModel model);
    }
}
